OpenSceneGraph Forum Forum Index OpenSceneGraph Forum
Official forum which mirrors the existent OSG mailing lists. Messages posted here are forwarded to the mailing list and vice versa.
 
   FAQFAQ    SearchSearch    MemberlistMemberlist    RulesRules    UsergroupsUsergroups    RegisterRegister 
 Mail2Forum SettingsMail2Forum Settings  ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 
   AlbumAlbum  OpenSceneGraph IRC ChatOpenSceneGraph IRC Chat   SmartFeedSmartFeed 

Warning: Material::apply(State&) - not supported.


 
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> General
View previous topic :: View next topic  
Author Message
bcolbert (Brad Colbert)
User


Joined: 24 May 2012
Posts: 37

PostPosted: Mon Jul 23, 2018 6:19 pm    Post subject:
Warning: Material::apply(State&) - not supported.
Reply with quote

Hi Folks,
I have, what I hope, is an easy question.  I have a model that I'm loading into my app (GL3) that is causing the following warning.  What can I do to simply stop the warning from being displayed?


Warning: Material::apply(State&) - not supported.

Would simply setting the OSG_NOTIFY_LEVEL to FATAL suffice?


Thanks,
Brad

------------------
Post generated by Mail2Forum
Back to top
View user's profile Send private message
Chris Hanson
Guest





PostPosted: Mon Jul 23, 2018 6:21 pm    Post subject:
Warning: Material::apply(State&) - not supported.
Reply with quote

That'll usually do the trick.

Have you determined what Stateset is on your model that is not implemented? The right approach would probably be to modify the model to strip off the unsupported state so the error is prevented.


On Mon, Jul 23, 2018 at 9:18 PM Brad Colbert < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:

Quote:
Hi Folks,
I have, what I hope, is an easy question.  I have a model that I'm loading into my app (GL3) that is causing the following warning.  What can I do to simply stop the warning from being displayed?


Warning: Material::apply(State&) - not supported.

Would simply setting the OSG_NOTIFY_LEVEL to FATAL suffice?


Thanks,
Brad


_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org



--
Chris 'Xenon' Hanson, omo sanza lettere. http://www.alphapixel.com/
Training • Consulting • Contracting
3D • Scene Graphs (Open Scene Graph/OSG) • OpenGL 2 • OpenGL 3 • OpenGL 4 • GLSL • OpenGL ES 1 • OpenGL ES 2 • OpenCL
Legal/IP • Forensics • Imaging • UAVs • GIS • GPS • osgEarth • Terrain • Telemetry • Cryptography • LIDAR • Embedded • Mobile • iPhone/iPad/iOS • Android
@alphapixel facebook.com/alphapixel (775) 623-PIXL [7495]

------------------
Post generated by Mail2Forum
Back to top
bcolbert (Brad Colbert)
User


Joined: 24 May 2012
Posts: 37

PostPosted: Mon Jul 23, 2018 6:28 pm    Post subject:
Warning: Material::apply(State&) - not supported.
Reply with quote

Thanks Chris.

It's a model I'm using for testing so it's probably not worth the effort.  Something I downloaded from TurboSquid.


Cheers,
Brad


On Mon, Jul 23, 2018 at 11:20 AM, Chris Hanson < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:
Quote:
That'll usually do the trick.

Have you determined what Stateset is on your model that is not implemented? The right approach would probably be to modify the model to strip off the unsupported state so the error is prevented.


On Mon, Jul 23, 2018 at 9:18 PM Brad Colbert < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:



Quote:
Hi Folks,
I have, what I hope, is an easy question.  I have a model that I'm loading into my app (GL3) that is causing the following warning.  What can I do to simply stop the warning from being displayed?


Warning: Material::apply(State&) - not supported.

Would simply setting the OSG_NOTIFY_LEVEL to FATAL suffice?


Thanks,
Brad




_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org



--
Chris 'Xenon' Hanson, omo sanza lettere. http://www.alphapixel.com/
Training • Consulting • Contracting
3D • Scene Graphs (Open Scene Graph/OSG) • OpenGL 2 • OpenGL 3 • OpenGL 4 • GLSL • OpenGL ES 1 • OpenGL ES 2 • OpenCL
Legal/IP • Forensics • Imaging • UAVs • GIS • GPS • osgEarth • Terrain • Telemetry • Cryptography • LIDAR • Embedded • Mobile • iPhone/iPad/iOS • Android
@alphapixel facebook.com/alphapixel (775) 623-PIXL [7495]







_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org



------------------
Post generated by Mail2Forum
Back to top
View user's profile Send private message
Chris Hanson
Guest





PostPosted: Mon Jul 23, 2018 8:32 pm    Post subject:
Warning: Material::apply(State&) - not supported.
Reply with quote

You could probably just export to .osg or .osgt and search and replace to remove osg Statesets by hand.

On Mon, Jul 23, 2018 at 8:28 PM Brad Colbert < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:

Quote:
Thanks Chris.

It's a model I'm using for testing so it's probably not worth the effort.  Something I downloaded from TurboSquid.


Cheers,
Brad


On Mon, Jul 23, 2018 at 11:20 AM, Chris Hanson < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:
Quote:
That'll usually do the trick.

Have you determined what Stateset is on your model that is not implemented? The right approach would probably be to modify the model to strip off the unsupported state so the error is prevented.


On Mon, Jul 23, 2018 at 9:18 PM Brad Colbert < (
Only registered users can see emails on this board!
Get registred or enter the forums!
)> wrote:



Quote:
Hi Folks,
I have, what I hope, is an easy question.  I have a model that I'm loading into my app (GL3) that is causing the following warning.  What can I do to simply stop the warning from being displayed?


Warning: Material::apply(State&) - not supported.

Would simply setting the OSG_NOTIFY_LEVEL to FATAL suffice?


Thanks,
Brad




_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org



--
Chris 'Xenon' Hanson, omo sanza lettere. http://www.alphapixel.com/
Training • Consulting • Contracting
3D • Scene Graphs (Open Scene Graph/OSG) • OpenGL 2 • OpenGL 3 • OpenGL 4 • GLSL • OpenGL ES 1 • OpenGL ES 2 • OpenCL
Legal/IP • Forensics • Imaging • UAVs • GIS • GPS • osgEarth • Terrain • Telemetry • Cryptography • LIDAR • Embedded • Mobile • iPhone/iPad/iOS • Android
@alphapixel facebook.com/alphapixel (775) 623-PIXL [7495]







_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org




_______________________________________________
osg-users mailing list
(
Only registered users can see emails on this board!
Get registred or enter the forums!
)
http://lists.openscenegraph.org/listinfo.cgi/osg-users-openscenegraph.org



--
Chris 'Xenon' Hanson, omo sanza lettere. http://www.alphapixel.com/
Training • Consulting • Contracting
3D • Scene Graphs (Open Scene Graph/OSG) • OpenGL 2 • OpenGL 3 • OpenGL 4 • GLSL • OpenGL ES 1 • OpenGL ES 2 • OpenCL
Legal/IP • Forensics • Imaging • UAVs • GIS • GPS • osgEarth • Terrain • Telemetry • Cryptography • LIDAR • Embedded • Mobile • iPhone/iPad/iOS • Android
@alphapixel facebook.com/alphapixel (775) 623-PIXL [7495]

------------------
Post generated by Mail2Forum
Back to top
Display posts from previous:   
Post new topic   Reply to topic    OpenSceneGraph Forum Forum Index -> General All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Similar Topics
Topic Author Forum Replies Posted
No new posts VertexAttribDivisor -- should it be p... gwaldron General 0 Tue Mar 19, 2019 4:51 pm View latest post
No new posts [propal] compare VertexArrayState wit... mp3butcher General 0 Mon Dec 31, 2018 3:32 pm View latest post
No new posts possible (probable) state leakage in ... Trajce Nikolov NICK General 1 Mon Nov 19, 2018 1:16 pm View latest post
No new posts Extension '' is not supported sbrkopac General 4 Thu Nov 08, 2018 8:22 pm View latest post
No new posts Can Material, Color, LightSource, etc... jovo General 1 Thu Jul 19, 2018 10:02 am View latest post


Board Security Anti Bot Question MOD - phpBB MOD against Spam Bots
Powered by phpBB © 2001, 2005 phpBB Group
Protected by Anti-Spam ACP